#!/bin/bash

BASEDIR=$(dirname $(readlink -f $0))

if [ ! -n "$prefix" ]; then
	echo "Environment variable \"\$prefix\" must be set!"
	exit 1
fi

echo -n "Change directory to ${BASEDIR} ... "
cd ${BASEDIR}
echo "done".

echo "Run mvn install ... "
mvn install

echo -e "\n\n"

echo -en "\n\tCopy BonSAI configuration files from ${BASEDIR}/bonsai-base/target/classes/xml/bonsai_configs ... "
if [ -d "${BASEDIR}/bonsai-base/target/classes/xml/bonsai_configs" ]; 
then
    mkdir -p ${prefix}/etc/bonsai_configs
    cp -fr ${BASEDIR}/bonsai-base/target/classes/xml/bonsai_configs/*  ${prefix}/etc/bonsai_configs
else
    echo -n  "directory does not exist ... "
fi
echo "done."

echo -e "\n\n"

# install bonsai jar into volume repository
for file in $BASEDIR/target/*.jar; 
do 
	mvn install:install-file -Dfile=$file -DpomFile=pom.xml -DlocalRepositoryPath=$prefix/lib/java/; 
done
